loci.plugins.shortcut

## Class ShortcutTransferHandler

- java.lang.Object
- - javax.swing.TransferHandler
  - - loci.plugins.shortcut.ShortcutTransferHandler

- All Implemented Interfaces:
    java.io.Serializable

      public class ShortcutTransferHandler
      extends javax.swing.TransferHandler

  Drag and drop transfer handler for Bio-Formats Plugins Shortcut Window.
  Author:
    Curtis Rueden ctrueden at wisc.edu
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.TransferHandler

      `javax.swing.TransferHandler.DropLocation, javax.swing.TransferHandler.TransferSupport`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ShortcutPanel` | `shortcutPanel` Associated shortcut panel.

    - ### Fields inherited from class javax.swing.TransferHandler

      `COPY, COPY_OR_MOVE, LINK, MOVE, NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShortcutTransferHandler(ShortcutPanel shortcutPanel)` Constructs a new shortcut panel drag and drop transfer handler.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canImport(javax.swing.JComponent comp, java.awt.datatransfer.DataFlavor[] transferFlavors)`
    `boolean` | `importData(javax.swing.JComponent comp, java.awt.datatransfer.Transferable t)`

    - ### Methods inherited from class javax.swing.TransferHandler

      `canImport, createTransferable, exportAsDrag, exportDone, exportToClipboard, getCopyAction, getCutAction, getDragImage, getDragImageOffset, getPasteAction, getSourceActions, getVisualRepresentation, importData, setDragImage, setDragImageOffset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### shortcutPanel

          protected ShortcutPanel shortcutPanel

      Associated shortcut panel.

  - ### Constructor Detail

    - #### ShortcutTransferHandler

          public ShortcutTransferHandler(ShortcutPanel shortcutPanel)

      Constructs a new shortcut panel drag and drop transfer handler.

  - ### Method Detail

    - #### canImport

          public boolean canImport(javax.swing.JComponent comp,
                                   java.awt.datatransfer.DataFlavor[] transferFlavors)

      Overrides:
        `canImport` in class `javax.swing.TransferHandler`

    - #### importData

          public boolean importData(javax.swing.JComponent comp,
                                    java.awt.datatransfer.Transferable t)

      Overrides:
        `importData` in class `javax.swing.TransferHandler`

Copyright © 2026 Open Microscopy Environment